nagios-fifo
===========

IRSSI BOT to handle nagios/irssi communication.

Presentation
------------

To ease the use of the bot configuration, I use to link different
files from the BOT configuration director etc/ bin/ var/ up to
respective irssi directories :

1. setup an irssi client, inside a screen.
2. symlink ~/.irssi/ as etc/config.directory
3. symlink the scripts you want to load to as ~/.irssi/scripts/autorun
4. edit the ~/.irssi/config to join the communication channel
5. symlink it to etc/config.local
6. start "screen irssi  "

How does it works
------------

The bot is made of 3 scripts :
- nagios bot ;
- tweet.pl made to tweet, take care of a changelog ;
- tc-14 a simple talkeng droid.

all are designed to work standalone.

Using the bots
---------

Commands allowed by *nagios-fifo.pl* / Nagios module :
The nagios bot is designed to work with nagios notifications, via commands.cfg configuration file.
- `!nagios help` : l'aide
- `!nagios ack #<ALERT> <message>` : ACK the alert
- `!nagios check <#ALERT>`(todo) : recheck any alert (service/host)
- `!nagios refresh [silent] [clear]` : request nagios livestatus and import all unack alerts ; optionnaly clear local alerts cache (bot, not nagios)

Commands allowed by *tc-14.pl* / Dumb module :
- `!status`      to have a look on inner variables / structures (particularly for the bingo module)
- `!password`    to generate a random password
- `!help`        totally useless
- react to some words (essentially in french, feel free to adapt to your needs) :
  * fortune (displays a fortune cookie sentence) ;
  * any french/flemish/irish beer ;
  * any animal name ;
  * some pedant words, used to check a bingo business card
  * his own name

Commands allowed by *tweet.pl* / admin module :
- `!tweet`        : tweet a tweet, on twitter and identi.ca (twitter module broken, to be redisigned)
- `!tweet last`   : what was last tweet ?
- `!changelog`    : add/list lasts changelogs
- `!lastlog [pattern]` : display last 20 messages [about pattern]
